<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY docbook.dsl SYSTEM "d:\tmp\db108b7\docbook\print\docbook.dsl" CDATA DSSSL>
]>

<style-specification id="focr" use="docbook">

;; $Id: db.dsl,v 1.1 1998/05/10 23:53:45 tkg Exp $
;;
;; Example of a customization layer on top of the modular docbook style
;; sheet.  Definitions inserted in this file take precedence over 
;; definitions in the 'use'd stylesheet(s).

(element FUNCTION ($mono-seq$))

(element APPLICATION ($mono-seq$))

(element FILENAME ($mono-seq$))

(element OPTION ($mono-seq$))

(element REVHISTORY
	 (empty-sosofo))

(element (DOCINFO AUTHOR)
	 (make paragraph
	       font-posture: 'italic))

(element (DOCINFO AUTHOR FIRSTNAME)
	 (make sequence
	       (if (absolute-first-sibling?)
		   (empty-sosofo)
		   (literal " "))
	       (process-children)))

(element (DOCINFO AUTHOR SURNAME)
	 (make sequence
	       (if (absolute-first-sibling?)
		   (empty-sosofo)
		   (literal " "))
	       (process-children)))

(element (DOCINFO AUTHOR CONTRIB)
	 (make sequence
	       (if (absolute-first-sibling?)
		   (empty-sosofo)
		   (literal "; "))
	       (process-children)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Borrowed from dbparam.dsl (part of db distribution)

(define %sect-page-break-before-level% 0)
(define %max-toc-sect-level% 1)
(define %verbatim-size-factor% 0.75)
(define %chapter-autolabel% #f)
(define %refentry-keep% #f)

(define %generate-book-lot-list% '())

;; Refentry function indicates whether or not REFENTRYs are for functions.
;; If true, "()" is automatically generated after the title.
;;
(define %refentry-function% #f)
(define %body-start-indent% 0pi)

(define %bf-size%
  (case %visual-acuity%
	(("normal") 12pt)
	(("presbyopic") 12pt)
	(("large-type") 24pt)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Table rule stuff

(define %table-before-row-border% 1.5pt)
(define %table-after-row-border% 1.5pt)
(define %table-before-column-border% 0pt)
(define %table-after-column-border% 0pt)
(define %table-head-body-border% 1.5pt)
(define %table-cell-after-column-border% 0pt)
(define %table-cell-after-row-border% 0.75pt)

</style-specification>

<external-specification id="docbook" document="docbook.dsl">

